/* Estilos personalizados para los botones del carrusel Swiper */
.swiper-button-next,
.swiper-button-prev {
    background: none;
    width: 44px !important;
    height: 44px !important;
    z-index: 50 !important;
}

.swiper-button-next::after,
.swiper-button-prev::after {
    display: none;
}

.swiper-coverflow {
    overflow: visible !important;
    padding: 0 40px !important;
}

.swiper-wrapper {
    align-items: center;
}

/* Transición de opacidad ligada a la de movimiento para Swiper */
.swiper-slide {
    transition-property: transform, opacity !important;
    width: 450px !important;
    height: 397px !important;
    /* Todas las "previas" (y ocultas) se apilan para evitar que vuelen por la pantalla */
    transform: translateX(65%) !important;
}

.swiper-slide-active {
    transform: translateX(0) !important;
    width: 450px !important;
    height: 450px !important;
}

.swiper-slide-active ~ .swiper-slide {
    /* Todas las "siguientes" (y ocultas) se apilan aquí */
    transform: translateX(-65%) !important;
}

/* Ocultar imágenes que ya no sean la activa, previa o siguiente */
.swiper-slide:not(.swiper-slide-active):not(.swiper-slide-prev):not(.swiper-slide-next) {
    opacity: 0 !important;
    pointer-events: none;
}

.bg-home {
    background: url('https://tpruebas.uvp.mx/interculturalidad/assets/verano/images/imagenes/Fondo-D-01.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.bg-precios {
    background: url('https://tpruebas.uvp.mx/interculturalidad/assets/verano/images/imagenes/Fondo-D-02.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.bg-experiencias {
    background: url('https://tpruebas.uvp.mx/interculturalidad/assets/verano/images/imagenes/Fondo-D-03.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

footer.footer::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('https://tpruebas.uvp.mx/interculturalidad/assets/verano/images/imagenes/Ciudad de Puebla.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.new-price {
    background: linear-gradient(270deg, #FFB95A 41.51%, #FF980E 48.22%, #DD2B3B 85.58%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.bg-btn {
    background: linear-gradient(217.96deg, #FFB95A 5.58%, #FF980E 11.6%, #DD2B3B 65.21%);
}

/* Ejes Estratégicos Animación */
.card-eje {
    transition: transform 0.15s ease-out;
    transform-style: preserve-3d;
}

@media (hover: hover) {
    .card-eje:hover .card-front {
        opacity: 0;
    }

    .card-eje:hover .card-back {
        opacity: 1;
    }
}

.card-eje.flipped .card-front {
    opacity: 0 !important;
}

.card-eje.flipped .card-back {
    opacity: 1 !important;
}

/* Max md */
@media (max-width: 768px) {
    .swiper-slide {
        transition-property: transform, opacity !important;
        width: 300px !important;
        height: 260px !important;
        /* Replicar la pila en móvil */
        transform: translateX(55%) !important;
    }
    .swiper-slide-active {
        transform: translateX(0) !important;
         width: 300px !important;
        height: 300px !important;
    }
    .swiper-slide-active ~ .swiper-slide {
        transform: translateX(-55%) !important;
    }

    .swiper-button-next,
    .swiper-button-prev {
        width: 32px !important;
        height: 32px !important;
    }
}

/* Max sm */
@media (max-width: 560px) {
    .swiper-slide {
        width: 160px !important;
        height: 160px !important;
    }

    .swiper-slide-active {
        transform: translateX(0) !important;
         width: 188px !important;
        height: 188px !important;
    }
}

.item-tooltip {
    position: relative;
    cursor: pointer;
}

.tooltip-box {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    top: 100%;
    right: 10px;
    width: 100%;
    max-width: 200px;
    background-color: #000000;
    color: #ffffff;
    padding: 10px 4.5px;
    border-radius: 3px;
    font-size: 12px;
    line-height: 120%;
    font-weight: 400;
    letter-spacing: -2%;
    z-index: 50;
    margin-top: 4px;
    transition: all 0.3s ease;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1);
}

@media (hover: hover) {
    .item-tooltip:hover .tooltip-box {
        opacity: 1;
        visibility: visible;
    }
}

.item-tooltip.active-tooltip .tooltip-box {
    opacity: 1 !important;
    visibility: visible !important;
}
